import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetFreeSalesDashboardService = createAsyncThunk(
  "GET_PROVINCE_FEE_SALES_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "out-province-poultry-requests-dashboard",
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          search: "filter",
          value: d.textValue,
          role: getRoleFromUrl(),
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
